purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Interactive.Parser

Description

Parser for PSCI.

Synopsis

- parseDotFile :: FilePath -> String -> Either String [Command]
- parseCommand :: String -> Either String [Command]

# Documentation

parseDotFile :: FilePath -> String -> Either String [Command] #

Parses a limited set of commands from from .purs-repl

parseCommand :: String -> Either String [Command] #

Parses PSCI metacommands or expressions input from the user.